MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000827XdebugUsage problems (Wrong Results)public2012-05-03 13:362012-05-07 13:46
Reporterzoes 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMacOSOSX or LinuxOS Versionany
Product Version2.2.0RC1 
Target Version2.2.0Fixed in Version2.2.0 
Summary0000827: Enabling Xdebug causes phpt tests to fail because of var_dump() formatting issues
DescriptionI think this is also related to 0000823.

I have xdebug enabled using the following line in php.ini:

zend_extension="/Users/zoe/Applications/XDEBUG/xdebug-2.2.0RC1/modules/xdebug.so";

A group of the CGI tests fail when I run them. I'm not sure why just CGI tests, other tests depend on var_dump() output.

Steps To ReproduceTo reproduce run this script (modifying paths where necessary):

export TEST_PHP_EXECUTABLE=/path-to-php/php
export TEST_PHP_CGI_EXECUTABLE=/path-to-cgi/php-cgi
$TEST_PHP_EXECUTABLE /path-to-runtests/run-tests.php /path-to-runtests/tests/basic/023.phpt

Both with and without xdebug enabled. The test will pass without xdebug and fail with it.
TagsNo tags attached.
Operating System
PHP Version5.4.0
Attached Files

- Relationships

-  Notes
(0002135)
derick (administrator)
2012-05-06 12:44

Can you add how a specific test case fails please?
(0002136)
zoes (reporter)
2012-05-06 17:51

Here is the diff from tests/basic/023.phpt

002+ 'c_o_o_k_i_e' =>
002- ["c_o_o_k_i_e"]=>
004+ 'name' =>
004- ["name"]=>
006+ 'UEhQIQ' =>
006- ["UEhQIQ"]=>

- Issue History
Date Modified Username Field Change
2012-05-03 13:36 zoes New Issue
2012-05-05 15:06 derick Target Version => 2.2.0
2012-05-06 12:44 derick Note Added: 0002135
2012-05-06 12:44 derick Assigned To => derick
2012-05-06 12:44 derick Status new => feedback
2012-05-06 17:51 zoes Note Added: 0002136
2012-05-06 17:51 zoes Status feedback => assigned
2012-05-07 13:46 derick Status assigned => closed
2012-05-07 13:46 derick Resolution open => fixed
2012-05-07 13:46 derick Fixed in Version => 2.2.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker